Debian Bug report logs - #602463
ITP: clanlib2.3 -- ClanLib 2.3 game SDK

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Givors Fabien <fabien.givors@chezlefab.net>

Date: Fri, 5 Nov 2010 02:15:04 UTC

Owned by: "Fabien Givors (Debian)" <f+debian@chezlefab.net>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602463; Package wnpp. (Fri, 05 Nov 2010 02:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Givors Fabien <fabien.givors@chezlefab.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 05 Nov 2010 02:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Givors Fabien <fabien.givors@chezlefab.net>
To: submit@bugs.debian.org
Subject: ITP: libclanlib2.2 - ClanLib 2.2 game SDK
Date: Fri, 05 Nov 2010 02:29:08 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist


* Package name         : libclanlib2.2
  Version              : 2.2.4
  Upstream Author      : The ClanLib Team
* URL                  : http://clanlib.org/
* License              : ZLIB
  Programming Language : C++
* Description          : ClanLib 2.2 game SDK

New stable release of the ClanLib SDK, a game framework (GUI / Network /
2D-3D Display / Sound / whatever).
This new version of ClanLib doesn't share it's API with the previous
version. Then it doesn't replace it but brings with it a lot of new
features and code improvement.

The package can be found on mentors.debian.net:
- mentors page URL:
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=libclanlib2.2
- URL: http://mentors.debian.net/debian/pool/main/l/libclanlib2.2
- Source repository: deb-src http://mentors.debian.net/debian unstable
main contrib non-free


-- 
fabien givors

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: libclanlib2.2 -- ClanLib 2.2 game SDK' from 'ITP: libclanlib2.2 - ClanLib 2.2 game SDK' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Mar 2011 01:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602463; Package wnpp. (Sat, 03 Mar 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <amoog@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Mar 2012 21:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 602463@bugs.debian.org (full text, mbox):

From: Andreas Moog <amoog@ubuntu.com>
To: fabien.givors@chezlefab.net, 602463@bugs.debian.org
Subject: Still interested in packaging clanlib2?
Date: Sat, 03 Mar 2012 22:33:52 +0100
[Message part 1 (text/plain, inline)]
Hi!

You opened bug 602463 in Debian, about packaging clanlib2.2.

Do you still work on this package? Would you be interested in
co-maintainership? I want to get it in Debian, too, as trophy, the game
I'm maintaining, will be ported to clanlib2, too.

Cheers,

  Andreas

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602463; Package wnpp. (Sat, 03 Mar 2012 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabien Givors (Debian packages)" <f+debian@chezlefab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Mar 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 602463@bugs.debian.org (full text, mbox):

From: "Fabien Givors (Debian packages)" <f+debian@chezlefab.net>
To: Andreas Moog <amoog@ubuntu.com>, 602463@bugs.debian.org
Subject: Re: Still interested in packaging clanlib2?
Date: Sat, 03 Mar 2012 23:51:15 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Andreas,

Yes, I opened bug #602463 some time ago...

I did most of the packaging. Unfortunately, I couldn't get rid of some
lintian warnings. So, the package is not perfect.

I can give you the product of my work if you want. It worked quite well.

After seeking for a sponsor and trying to contact the maintainers of
clanlib-1.0 package, I realized that the good way to do was to contact
the Debian Games Team. Unfortunately, at the same time, my spare time
amount began to decrease dramatically :) And I was not able to pursue
my task.

Currently, last clanlib version is 2.3.5 [1], and the API does not
seem to have changed a lot [2]. So, the question is, should we package
the last "stable" 2.2 version, or the last released version?

I hope we will be able to work together,


- -- 
captnfab


[1] http://clanlib.org/wiki/Main_Page
[2] http://clanlib.org/wiki/BreakingChanges
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPUqBjAAoJEML91QheKxFehf8QALXTRU3Z3zzCUcIhgfXzBqyU
GFI3frOqm+xUiBgtMv3IQ/axiQmi5EUZcKW0pb5mv1xahPrirKZWiSNh+xfw1Ly4
+giWbCxg70DTtB+kQme68q6LJAjOnXicTNeO/jFJA8IAkWJa1YIBtZra6FsTVeiY
sqmNj9Tr+jq9qXhQgoK93tEE3f/GEQ72iRL5fb+ggUvP8gAEUdxJBrUXRR8+Btaf
lWmsAP3tI5ZtDj3BYISuuzk+Vc6BmK2h8/cY9imLAFWQi29ZUpmwlfs3l2uDRYFS
PFemwYQFi3IfT2bAniLyarsA03l2RoGvL01x1kG/tL2AajlykNwlvZCG77r7zbEo
9BW4vkuHOLpYZbi+uZHsqKrl3OUlGAmDBpdSIxzN5yeIERH23naeCrAR5ZPMd3qc
JZe3lOj6ptB/rJc6jOHbDvx41Jb4Oy98j6atMHuWY5mHQQRbdu7Sdl8+8GE1QF56
eH/R2/HPy47OnlA8q3zFdz792alB3UYtETjtbbarrXJZuof4mkMwx5KKo6imm6KF
dhKlJzpOZo27g4vkx0OOweLDGx11G60ztiH7Gfoy0td5KI2X0vRHuNcnV9h9G3ai
VKi/b98UpS7+C/MuVBoRaFLCHykrydxvhqIxFg1/7GGXrH8/IP4O/qWITAOE+UJf
MjqxATJdZnoZ78NBvQ8n
=wCyP
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602463; Package wnpp. (Sun, 04 Mar 2012 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <amoog@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 04 Mar 2012 08:42:04 GMT) Full text and rfc822 format available.

Message #22 received at 602463@bugs.debian.org (full text, mbox):

From: Andreas Moog <amoog@ubuntu.com>
To: "Fabien Givors (Debian packages)" <f+debian@chezlefab.net>
Cc: 602463@bugs.debian.org
Subject: Re: Still interested in packaging clanlib2?
Date: Sun, 04 Mar 2012 09:39:19 +0100
[Message part 1 (text/plain, inline)]
On 03.03.2012 23:51, Fabien Givors (Debian packages) wrote:
> Hi Andreas,
> 
> Yes, I opened bug #602463 some time ago...
> 
> I did most of the packaging. Unfortunately, I couldn't get rid of some
> lintian warnings. So, the package is not perfect.
> 
> I can give you the product of my work if you want. It worked quite well.

I'd propose to have it maintained under the Debian Games umbrella, with
a git repository at Alioth. If you send me your current
debian/directory, I'll inject it into the repository.

> Unfortunately, at the same time, my spare time
> amount began to decrease dramatically :) And I was not able to pursue
> my task.

No problem ;-)

> Currently, last clanlib version is 2.3.5 [1], and the API does not
> seem to have changed a lot [2]. So, the question is, should we package
> the last "stable" 2.2 version, or the last released version?

I'd say go for the 2.3 release, I'll test the Trophy game against that.

> I hope we will be able to work together,

Me too!

Cheers,

  Andreas

[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Givors Fabien <fabien.givors@chezlefab.net>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 22:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Givors Fabien <fabien.givors@chezlefab.net>:
Bug#602463; Package wnpp. (Fri, 16 Aug 2013 17:04:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Givors Fabien <fabien.givors@chezlefab.net>. (Fri, 16 Aug 2013 17:04:33 GMT) Full text and rfc822 format available.

Message #29 received at 602463@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 602463@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libclanlib2.2: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:54 +0200
retitle 602463 RFP: libclanlib2.2 -- ClanLib 2.2 game SDK
noowner 602463
tag 602463 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging libclanlib2.2. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of libclanlib2.2 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging libclanlib2.2, please send a mail to
<control@bugs.debian.org> with:

 retitle 602463 ITP: libclanlib2.2 -- ClanLib 2.2 game SDK
 owner 602463 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <602463@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libclanlib2.2 -- ClanLib 2.2 game SDK' from 'ITP: libclanlib2.2 -- ClanLib 2.2 game SDK' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:10:51 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Givors Fabien <fabien.givors@chezlefab.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:10:51 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: clanlib2.3 -- ClanLib 2.3 game SDK' from 'RFP: libclanlib2.2 -- ClanLib 2.2 game SDK' Request was from "Fabien Givors (Debian)" <f+debian@chezlefab.net> to control@bugs.debian.org. (Fri, 16 Aug 2013 18:33:04 GMT) Full text and rfc822 format available.

Owner recorded as "Fabien Givors (Debian)" <f+debian@chezlefab.net>. Request was from "Fabien Givors (Debian)" <f+debian@chezlefab.net> to control@bugs.debian.org. (Fri, 16 Aug 2013 18:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602463; Package wnpp. (Sun, 18 Aug 2013 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabien Givors (Debian)" <f+debian@chezlefab.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 18 Aug 2013 11:54:04 GMT) Full text and rfc822 format available.

Message #42 received at 602463@bugs.debian.org (full text, mbox):

From: "Fabien Givors (Debian)" <f+debian@chezlefab.net>
To: 602463@bugs.debian.org
Subject: Update on the packaging
Date: Sun, 18 Aug 2013 13:24:52 +0200
Hi,

A reminder to myself and anyone who wishes to help with the packaging of
lib clanlib2:

> I updated clanlib2 package for the last stable (2.x) release. The
> clanlib team is now working on a 3.x rewrite of the lib which is
> still in a beta stage this means that there shouldn't be any abi
> breakage anymore for the 2.x version :) and that the 2.3.7 version
> has been long tested.
>
> There are still some problems to fix
> - one of them being dealing with non-mmx2 arch, on whom the lib won't
> build (I still don't know how to deal with that
> - there is the question of the C++ symbols: it's such a mess, is it
> really a good idea to imbed the .symbols file?
> And finally, the soname problem,we currently use a lintian override,
> but I think we should rename the libs to remove caps and rewrite the
> version numbers in a standard way
> - there are other details that I should take care of next week…

Feel free to discuss this with me (captnfab on #debian-games @ OFTC)

Bye,

-- 
fabien



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:05:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.